<?php
/*
 * Plugin Name: Voya Chile - Lugares y Cotizador de Despachos
 * Plugin URI: https://voyapp.cl
 * Description: Añade las regiones y comunas de Chile a WooCommerce, además, podrás contar con un cotizador de despachos de múltiples couriers, de esta manera, tus clientes podrán pagar de inmediato el valor del envío. Este plugin es compatible con "MkRapel Regiones y Ciudades de Chile para WC".
 * Version: 1.1.0
 * Author: Onion Media
 * Author URI: https://onionmedia.cl
 * Requires PHP: 5.6
 * Requires at least: 5.6
 * Tested up to: 5.8
 * WC requires at least: 4.5
 * WC tested up to: 5.5.2
 */

if(!defined( 'ABSPATH' )) exit;

/**
 * Check if WooCommerce is active
 */
if(in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
  define( 'VOYA_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
  /**
   * Check if MktRapel plugin active. If not, add locations
   */
  if(!in_array('wc-ciudades-y-regiones-de-chile/wc-ciudades-y-regiones-de-chile.php', apply_filters('active_plugins', get_option('active_plugins')))){
    function voyacl_despachos_destinos_init(){
      require_once ('includes/classes/voya_despachos_destinos.php');
      global $pagenow;
      $GLOBALS['wc_states_places'] = new Voya_Despachos_Destinos(__FILE__);
    }
    add_action('plugins_loaded','voyacl_despachos_destinos_init',1);
  }

  function voyacl_despachos_calculo_init(){
      require_once ('includes/classes/voya_despachos_calculo.php');
      $abdc = new Voya_Despachos_Calculo();
  }

  function voyacl_despachos_calculo($methods){
      $methods[] = 'Voya_Despachos_Calculo';
      return $methods;
  }
  
  function voyacl_settings_link( $links ) {
    $links[] = '<a href="' .
      admin_url( 'admin.php?page=wc-settings&tab=shipping&section=voya_despachos' ) .
      '">' . __('Settings') . '</a>';
    return $links;
  }

  add_action('woocommerce_shipping_init', 'voyacl_despachos_calculo_init');
  add_filter('woocommerce_shipping_methods', 'voyacl_despachos_calculo');
  add_filter('plugin_action_links_'.plugin_basename(__FILE__), 'voyacl_settings_link');
};
